Skip to main content
POST
Unlock data imports

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

data_import_lock_token
string
required

Body

application/json

Unlock all or part of a data import lock, optionally reimporting the unlocked months from extract. With reimport enabled, the lock is changed asynchronously; acceptance does not mean the unlock or imports have finished.

locked_until
string<date> | null

The last month to keep locked. Must be earlier than the current watermark. Omit to unlock all months.

reimport
boolean | null
default:false

Reimport newly unlocked months from extract asynchronously. Defaults to false.

Response

Partially unlocked

DataImportLock model

token
string
required

The token of the DataImportLock.

Example:

"etl_lck_1234"

provider
string
required

The cost provider whose processed cost months are locked.

Example:

"aws"

locked_until
string
required

The last billing month included in the lock, as the first day of that month. ISO 8601 formatted. The current calendar month cannot be locked. The previous calendar month can be locked on or after the 15th of the current month.

Example:

"2024-06-01"

created_by_token
string | null
required

The token of the user or team that created the DataImportLock.

Example:

"usr_1234"

created_at
string
required

The date and time, in UTC, the DataImportLock was created. ISO 8601 formatted.

Example:

"2024-06-28T00:00:00Z"